scala.collection.mutable.IndexedSeqView

# DroppedWhile

#### trait DroppedWhile extends IndexedSeqView.DroppedWhile with Transformed[A]

Definition Classes
  IndexedSeqView → SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike
Source
  IndexedSeqView.scala

Linear Supertypes
Transformed[A], IndexedSeqView[A, Coll], IndexedSeqOptimized[A, IndexedSeqView[A, Coll]], collection.IndexedSeqOptimized[A, IndexedSeqView[A, Coll]], IndexedSeq[A], IndexedSeqLike[A, IndexedSeqView[A, Coll]], collection.IndexedSeq[A], collection.IndexedSeqLike[A, IndexedSeqView[A, Coll]], Seq[A], SeqLike[A, Seq[A]], Cloneable[Seq[A]], scala.Cloneable, java.lang.Cloneable, Iterable[A], Traversable[A], Mutable, IndexedSeqView.DroppedWhile, IndexedSeqView.Transformed[A], SeqView[A, Coll], SeqViewLike[A, Coll, IndexedSeqView[A, Coll]], collection.Seq[A], collection.SeqLike[A, IndexedSeqView[A, Coll]], PartialFunction[Int, A], (Int) ⇒ A, IndexedSeqView.DroppedWhile, IndexedSeqView.Transformed[A], GenSeqView[A, Coll], GenSeqViewLike[A, Coll, IndexedSeqView[A, Coll]], GenSeq[A], GenSeqLike[A, IndexedSeqView[A, Coll]], IndexedSeqView.DroppedWhile, IndexedSeqView.Transformed[A], IterableView[A, Coll], IterableViewLike[A, Coll, IndexedSeqView[A, Coll]], collection.Iterable[A], IterableLike[A, IndexedSeqView[A, Coll]], Equals, IndexedSeqView.DroppedWhile, IndexedSeqView.Transformed[A], GenIterableView[A, Coll], GenIterableViewLike[A, Coll, IndexedSeqView[A, Coll]], GenIterable[A], GenIterableLike[A, IndexedSeqView[A, Coll]], IndexedSeqView.DroppedWhile, IndexedSeqView.DroppedWhile, IndexedSeqView.Transformed[A], IndexedSeqView.Transformed[A], TraversableView[A, Coll], GenTraversableView[A, Coll], TraversableViewLike[A, Coll, IndexedSeqView[A, Coll]], GenTraversableViewLike[A, Coll, IndexedSeqView[A, Coll]], ViewMkString[A], collection.Traversable[A], GenTraversable[A], GenericTraversableTemplate[A, IndexedSeq], TraversableLike[A, IndexedSeqView[A, Coll]], GenTraversableLike[A, IndexedSeqView[A, Coll]], Parallelizable[A, ParSeq[A]], TraversableOnce[A], GenTraversableOnce[A], FilterMonadic[A, IndexedSeqView[A, Coll]], HasNewBuilder[A, IndexedSeqView[A, Coll]], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DroppedWhile
2. Transformed
3. IndexedSeqView
4. IndexedSeqOptimized
5. IndexedSeqOptimized
6. IndexedSeq
7. IndexedSeqLike
8. IndexedSeq
9. IndexedSeqLike
10. Seq
11. SeqLike
12. Cloneable
13. Cloneable
14. Cloneable
15. Iterable
16. Traversable
17. Mutable
18. DroppedWhile
19. Transformed
20. SeqView
21. SeqViewLike
22. Seq
23. SeqLike
24. PartialFunction
25. Function1
26. DroppedWhile
27. Transformed
28. GenSeqView
29. GenSeqViewLike
30. GenSeq
31. GenSeqLike
32. DroppedWhile
33. Transformed
34. IterableView
35. IterableViewLike
36. Iterable
37. IterableLike
38. Equals
39. DroppedWhile
40. Transformed
41. GenIterableView
42. GenIterableViewLike
43. GenIterable
44. GenIterableLike
45. DroppedWhile
46. DroppedWhile
47. Transformed
48. Transformed
49. TraversableView
50. GenTraversableView
51. TraversableViewLike
52. GenTraversableViewLike
53. ViewMkString
54. Traversable
55. GenTraversable
56. GenericTraversableTemplate
57. TraversableLike
58. GenTraversableLike
59. Parallelizable
60. TraversableOnce
61. GenTraversableOnce
62. FilterMonadic
63. HasNewBuilder
64. AnyRef
65. Any

Implicitly

1. by traversable2ops
2. by MonadOps
3. by any2stringadd
4. by any2stringfmt
5. by any2ArrowAssoc
6. by any2Ensuring
7. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait Appended[B >: A] extends SeqViewLike.Appended[B] with SeqViewLike.Appended[B] with Transformed[B]

   Definition Classes
     SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

2. #### trait DroppedWhile extends IndexedSeqView.DroppedWhile with Transformed[A]

   Definition Classes
     IndexedSeqView → SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

3. #### class Elements extends AbstractIterator[A] with BufferedIterator[A] with Serializable

   The class of the iterator returned by the `iterator` method.

4. #### trait EmptyView extends Transformed[Nothing] with SeqViewLike.EmptyView with SeqViewLike.EmptyView

   Definition Classes
     SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

5. #### trait Filtered extends IndexedSeqView.Filtered with Transformed[A]

   Definition Classes
     IndexedSeqView → SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

6. #### trait FlatMapped[B] extends SeqViewLike.FlatMapped[B] with SeqViewLike.FlatMapped[B] with Transformed[B]

   Definition Classes
     SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

7. #### trait Forced[B] extends SeqViewLike.Forced[B] with SeqViewLike.Forced[B] with Transformed[B]

   A fall back which forces everything into a vector and then applies an operation on it.

8. #### trait Mapped[B] extends SeqViewLike.Mapped[B] with SeqViewLike.Mapped[B] with Transformed[B]

   Definition Classes
     SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

9. #### trait Patched[B >: A] extends Transformed[B] with SeqViewLike.Patched[B]

   Definition Classes
     SeqViewLike → GenSeqViewLike

10. #### trait Prepended[B >: A] extends Transformed[B] with SeqViewLike.Prepended[B]

    Definition Classes
      SeqViewLike → GenSeqViewLike

11. #### trait Reversed extends IndexedSeqView.Reversed with Transformed[A]

    Definition Classes
      IndexedSeqView → SeqViewLike → GenSeqViewLike

12. #### type Self = IndexedSeqView[A, Coll]

    The type implementing this traversable

    The type implementing this traversable

    Attributes
      protected
    Definition Classes
      TraversableLike

13. #### trait Sliced extends IndexedSeqView.Sliced with Transformed[A]

    Definition Classes
      IndexedSeqView → SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

14. #### trait TakenWhile extends IndexedSeqView.TakenWhile with Transformed[A]

    Definition Classes
      IndexedSeqView → SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

15. #### trait Transformed[B] extends IndexedSeqView[B, Coll] with IndexedSeqView.Transformed[B]

    The implementation base trait of this view.

16. #### class WithFilter extends FilterMonadic[A, Repr]

    A class supporting filtered operations.

17. #### trait Zipped[B] extends SeqViewLike.Zipped[B] with SeqViewLike.Zipped[B] with Transformed[(A, B)]

    Definition Classes
      SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike

18. #### trait ZippedAll[A1 >: A, B] extends SeqViewLike.ZippedAll[A1, B] with SeqViewLike.ZippedAll[A1, B] with Transformed[(A1, B)]

    Definition Classes
      SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike

### Abstract Value Members

1. #### abstract val pred: (A) ⇒ Boolean

   Attributes
     protected[this]
   Definition Classes
     DroppedWhile

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from DroppedWhile to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ++[B](that: GenTraversableOnce[B]): IndexedSeq[B]

   [use case] Returns a new mutable indexed sequence containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new mutable indexed sequence containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the mutable indexed sequence is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new mutable indexed sequence which contains all elements of this mutable indexed sequence followed by all elements of `that`.

   Definition Classes
     TraversableViewLike → TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: A, That](xs: GenTraversableOnce[B])(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

6. #### def ++:[B >: A, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this mutable indexed sequence followed by all elements of `that`.

   Definition Classes
     TraversableLike

7. #### def ++:[B](that: TraversableOnce[B]): IndexedSeq[B]

   [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   [use case]

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new mutable indexed sequence which contains all elements of this mutable indexed sequence followed by all elements of `that`.

   Definition Classes
     TraversableLike
   Full Signature

   #### def ++:[B >: A, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

8. #### def +:(elem: A): IndexedSeq[A]

   [use case] A copy of the mutable indexed sequence with an element prepended.

   [use case]

   A copy of the mutable indexed sequence with an element prepended.

   Note that :-ending operators are right associative (see example). A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Also, the original mutable indexed sequence is not modified, so you will want to capture the result.

   Example:

       scala> val x = LinkedList(1)
       x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val y = 2 +: x
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

       scala> println(x)
       LinkedList(1)

   elem

     the prepended element

   returns

     a new mutable indexed sequence consisting of `elem` followed by all elements of this mutable indexed sequence.

   Definition Classes
     SeqViewLike → SeqLike → GenSeqLike
   Full Signature

   #### def +:[B >: A, That](elem: B)(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

9. #### def ->[B](y: B): (DroppedWhile, B)

   Implicit information
     This member is added by an implicit conversion from DroppedWhile to ArrowAssoc[DroppedWhile] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

10. #### def /:[B](z: B)(op: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this mutable indexed sequence, going left to right.

    Applies a binary operator to a start value and all elements of this mutable indexed sequence, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable indexed sequence, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this mutable indexed sequence.

    Definition Classes
      TraversableOnce → GenTraversableOnce

11. #### def :+(elem: A): IndexedSeq[A]

    [use case] A copy of this mutable indexed sequence with an element appended.

    [use case]

    A copy of this mutable indexed sequence with an element appended.

    A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

    Example:

        scala> import scala.collection.mutable.LinkedList
        import scala.collection.mutable.LinkedList

        scala> val a = LinkedList(1)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

        scala> val b = a :+ 2
        b: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

        scala> println(a)
        LinkedList(1)

    elem

      the appended element

    returns

      a new mutable indexed sequence consisting of all elements of this mutable indexed sequence followed by `elem`.

    Definition Classes
      SeqViewLike → SeqLike → GenSeqLike
    Full Signature

    #### def :+[B >: A, That](elem: B)(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

12. #### def :\[B](z: B)(op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this mutable indexed sequence and a start value, going right to left.

    Applies a binary operator to all elements of this mutable indexed sequence and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this mutable indexed sequence, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this mutable indexed sequence.

    Definition Classes
      TraversableOnce → GenTraversableOnce

13. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

15. #### def addString(b: scala.StringBuilder, start: String, sep: String, end: String): scala.StringBuilder

    Definition Classes
      ViewMkString

16. #### def addString(b: scala.StringBuilder): scala.StringBuilder

    Appends all elements of this mutable indexed sequence to a string builder.

    Appends all elements of this mutable indexed sequence to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this mutable indexed sequence without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

17. #### def addString(b: scala.StringBuilder, sep: String): scala.StringBuilder

    Appends all elements of this mutable indexed sequence to a string builder using a separator string.

    Appends all elements of this mutable indexed sequence to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this mutable indexed sequence, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

18. #### def aggregate[B](z: B)(seqop: (B, A) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

19. #### def andThen[C](k: (A) ⇒ C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

20. #### def apply(idx: Int): A

    Selects an element by its index in the mutable indexed sequence.

    Selects an element by its index in the mutable indexed sequence.

    Example:

        scala> val x = LinkedList(1, 2, 3, 4, 5)
        x: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4, 5)

        scala> x(3)
        res1: Int = 4

    idx

      The index to select.

    returns

      the element of this mutable indexed sequence at index `idx`, where `0` indicates the first element.

    Definition Classes
      DroppedWhile → Transformed → GenSeqLike
    Exceptions thrown
      `IndexOutOfBoundsException`

      if `idx` does not satisfy `0 <= idx < length`.

21. #### def applyOrElse[A1 <: Int, B1 >: A](x: A1, default: (A1) ⇒ B1): B1

    Applies this partial function to the given argument when it is contained in the function domain.

    Applies this partial function to the given argument when it is contained in the function domain. Applies fallback function where this partial function is not defined.

    Note that expression `pf.applyOrElse(x, default)` is equivalent to

        if(pf isDefinedAt x) pf(x) else default(x)

    except that `applyOrElse` method can be implemented more efficiently. For all partial function literals compiler generates `applyOrElse` implementation which avoids double evaluation of pattern matchers and guards. This makes `applyOrElse` the basis for the efficient implementation for many operations and scenarios, such as:

    - combining partial functions into `orElse`/`andThen` chains does not lead to excessive `apply`/`isDefinedAt` evaluation
    - `lift` and `unlift` do not evaluate source functions twice on each invocation
    - `runWith` allows efficient imperative-style combining of partial functions with conditionally applied actions

    For non-literal partial function classes with nontrivial `isDefinedAt` method it is recommended to override `applyOrElse` with custom implementation that avoids double `isDefinedAt` evaluation. This may result in better performance and more predictable behavior w.r.t. side effects.

    x

      the function argument

    default

      the fallback function

    returns

      the result of this function or fallback function application.

    Definition Classes
      PartialFunction
    Since

      2.10

22. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

23. #### def asParIterable: ParIterable[A]

    Implicit information
      This member is added by an implicit conversion from DroppedWhile to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

24. #### def asParSeq: ParSeq[A]

    Implicit information
      This member is added by an implicit conversion from DroppedWhile to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

25. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this mutable indexed sequence should be compared

    returns

      `true`, if this mutable indexed sequence can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

26. #### def clone(): Seq[A]

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

27. #### def collect[B](pf: PartialFunction[A, B]): IndexedSeq[B]

    [use case] Builds a new collection by applying a partial function to all elements of this mutable indexed sequence on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this mutable indexed sequence on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the mutable indexed sequence.

    returns

      a new mutable indexed sequence resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableViewLike → TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[A, B])(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

28. #### def collectFirst[B](pf: PartialFunction[A, B]): Option[B]

    Finds the first element of the mutable indexed sequence for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the mutable indexed sequence for which the given partial function is defined, and applies the partial function to it.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

29. #### def combinations(n: Int): Iterator[IndexedSeqView[A, Coll]]

    Iterates over combinations.

    Iterates over combinations.

    returns

      An Iterator which traverses the possible n-element combinations of this mutable indexed sequence.

    Definition Classes
      SeqLike
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

30. #### def companion: GenericCompanion[IndexedSeq]

    The factory companion object that builds instances of class `IndexedSeq`.

    The factory companion object that builds instances of class `IndexedSeq`. (or its `Iterable` superclass where class `IndexedSeq` is not a `Seq`.)

    Definition Classes
      IndexedSeq → IndexedSeq → Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

31. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ A

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

32. #### def contains(elem: Any): Boolean

    Tests whether this mutable indexed sequence contains a given value as an element.

    Tests whether this mutable indexed sequence contains a given value as an element.

    elem

      the element to test.

    returns

      `true` if this mutable indexed sequence has an element that is equal (as determined by `==`) to `elem`, `false` otherwise.

    Definition Classes
      SeqLike

33. #### def containsSlice[B](that: GenSeq[B]): Boolean

    Tests whether this mutable indexed sequence contains a given sequence as a slice.

    Tests whether this mutable indexed sequence contains a given sequence as a slice.

    that

      the sequence to test

    returns

      `true` if this mutable indexed sequence contains a slice with the same elements as `that`, otherwise `false`.

    Definition Classes
      SeqLike

34. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this mutable indexed sequence to an array.

    [use case]

    Copies elements of this mutable indexed sequence to an array. Fills the given array `xs` with at most `len` elements of this mutable indexed sequence, starting at position `start`. Copying will stop once either the end of the current mutable indexed sequence is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: A](xs: Array[B], start: Int, len: Int): Unit

35. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this mutable indexed sequence to an array.

    [use case]

    Copies values of this mutable indexed sequence to an array. Fills the given array `xs` with values of this mutable indexed sequence. Copying will stop once either the end of the current mutable indexed sequence is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: A](xs: Array[B]): Unit

36. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this mutable indexed sequence to an array.

    [use case]

    Copies values of this mutable indexed sequence to an array. Fills the given array `xs` with values of this mutable indexed sequence, beginning at index `start`. Copying will stop once either the end of the current mutable indexed sequence is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: A](xs: Array[B], start: Int): Unit

37. #### def copyToBuffer[B >: A](dest: Buffer[B]): Unit

    Copies all elements of this mutable indexed sequence to a buffer.

    Copies all elements of this mutable indexed sequence to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

38. #### def corresponds[B](that: GenSeq[B])(p: (A, B) ⇒ Boolean): Boolean

    Tests whether every element of this mutable indexed sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this mutable indexed sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this mutable indexed sequence and `y` of `that`, otherwise `false`.

    Definition Classes
      SeqLike → GenSeqLike

39. #### def count(p: (A) ⇒ Boolean): Int

    Counts the number of elements in the mutable indexed sequence which satisfy a predicate.

    Counts the number of elements in the mutable indexed sequence which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

40. #### def diff(that: collection.Seq[A]): IndexedSeq[A]

    [use case] Computes the multiset difference between this mutable indexed sequence and another sequence.

    [use case]

    Computes the multiset difference between this mutable indexed sequence and another sequence.

    that

      the sequence of elements to remove

    returns

      a new mutable indexed sequence which contains all elements of this mutable indexed sequence except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqViewLike → SeqLike → GenSeqLike
    Full Signature

    #### def diff[B >: A](that: GenSeq[B]): IndexedSeqView[A, Coll]

41. #### def distinct: IndexedSeqView[A, Coll]

    Builds a new mutable indexed sequence from this mutable indexed sequence without any duplicate elements.

    Builds a new mutable indexed sequence from this mutable indexed sequence without any duplicate elements.

    returns

      A new mutable indexed sequence which contains the first occurrence of every element of this mutable indexed sequence.

    Definition Classes
      SeqLike → GenSeqLike

42. #### def drop(n: Int): This

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this mutable indexed sequence.

    returns

      a mutable indexed sequence consisting of all elements of this mutable indexed sequence except the first `n` ones, or else the empty mutable indexed sequence, if this mutable indexed sequence has less than `n` elements.

    Definition Classes
      IndexedSeqView → IterableViewLike → TraversableViewLike → IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

43. #### def dropRight(n: Int): IndexedSeqView[A, Coll]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a mutable indexed sequence consisting of all elements of this mutable indexed sequence except the last `n` ones, or else the empty mutable indexed sequence, if this mutable indexed sequence has less than `n` elements.

    Definition Classes
      IndexedSeqOptimized → IterableLike

44. #### def dropWhile(p: (A) ⇒ Boolean): This

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    returns

      the longest suffix of this mutable indexed sequence whose first element does not satisfy the predicate `p`.

    Definition Classes
      IndexedSeqView → TraversableViewLike → IndexedSeqOptimized → TraversableLike → GenTraversableLike

45. #### def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this mutable indexed sequence ends with the given sequence.

    Tests whether this mutable indexed sequence ends with the given sequence.

    that

      the sequence to test

    returns

      `true` if this mutable indexed sequence has `that` as a suffix, `false` otherwise.

    Definition Classes
      IndexedSeqOptimized → SeqLike → GenSeqLike

46. #### def ensuring(cond: (DroppedWhile) ⇒ Boolean, msg: ⇒ Any): DroppedWhile

    Implicit information
      This member is added by an implicit conversion from DroppedWhile to Ensuring[DroppedWhile] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

47. #### def ensuring(cond: (DroppedWhile) ⇒ Boolean): DroppedWhile

    Implicit information
      This member is added by an implicit conversion from DroppedWhile to Ensuring[DroppedWhile] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

48. #### def ensuring(cond: Boolean, msg: ⇒ Any): DroppedWhile

    Implicit information
      This member is added by an implicit conversion from DroppedWhile to Ensuring[DroppedWhile] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

49. #### def ensuring(cond: Boolean): DroppedWhile

    Implicit information
      This member is added by an implicit conversion from DroppedWhile to Ensuring[DroppedWhile] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

50. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

51. #### def equals(that: Any): Boolean

    The equals method for arbitrary sequences.

    The equals method for arbitrary sequences. Compares this sequence to some other object.

    that

      The object to compare the sequence to

    returns

      `true` if `that` is a sequence that has the same elements as this sequence in the same order, `false` otherwise

    Definition Classes
      GenSeqLike → Equals → Any

52. #### def exists(p: (A) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this mutable indexed sequence.

    Tests whether a predicate holds for some of the elements of this mutable indexed sequence.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this mutable indexed sequence, otherwise `false`.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

53. #### def filter(p: (A) ⇒ Boolean): This

    Selects all elements of this mutable indexed sequence which satisfy a predicate.

    Selects all elements of this mutable indexed sequence which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new mutable indexed sequence consisting of all elements of this mutable indexed sequence that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      IndexedSeqView → TraversableViewLike → TraversableLike → GenTraversableLike

54. #### def filterNot(p: (A) ⇒ Boolean): IndexedSeqView[A, Coll]

    Selects all elements of this mutable indexed sequence which do not satisfy a predicate.

    Selects all elements of this mutable indexed sequence which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new mutable indexed sequence consisting of all elements of this mutable indexed sequence that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

55. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

56. #### def find(p: (A) ⇒ Boolean): Option[A]

    Finds the first element of the mutable indexed sequence satisfying a predicate, if any.

    Finds the first element of the mutable indexed sequence satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the mutable indexed sequence that satisfies `p`, or `None` if none exists.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

57. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): IndexedSeq[B]

    [use case] Builds a new collection by applying a function to all elements of this mutable indexed sequence and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this mutable indexed sequence and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of mutable indexed sequence. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new mutable indexed sequence resulting from applying the given collection-valued function `f` to each element of this mutable indexed sequence and concatenating the results.

    Definition Classes
      TraversableViewLike → TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (A) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

58. #### def flatten[B]: IndexedSeq[B]

    [use case] Converts this mutable indexed sequence of traversable collections into a mutable indexed sequence formed by the elements of these traversable collections.

    [use case]

    Converts this mutable indexed sequence of traversable collections into a mutable indexed sequence formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of mutable indexed sequence. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new mutable indexed sequence resulting from concatenating all element mutable indexed sequences.

    Definition Classes
      TraversableViewLike → GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): DroppedWhile.Transformed[B]

59. #### def fold[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this mutable indexed sequence using the specified associative binary operator.

    Folds the elements of this mutable indexed sequence using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

60. #### def foldLeft[B](z: B)(op: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this mutable indexed sequence, going left to right.

    Applies a binary operator to a start value and all elements of this mutable indexed sequence, going left to right.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable indexed sequence, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this mutable indexed sequence.

    Definition Classes
      IndexedSeqOptimized → TraversableOnce → GenTraversableOnce

61. #### def foldRight[B](z: B)(op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this mutable indexed sequence and a start value, going right to left.

    Applies a binary operator to all elements of this mutable indexed sequence and a start value, going right to left.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable indexed sequence, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this mutable indexed sequence.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce

62. #### def forall(p: (A) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this mutable indexed sequence.

    Tests whether a predicate holds for all elements of this mutable indexed sequence.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this mutable indexed sequence, otherwise `false`.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

63. #### def force[B >: A, That](implicit bf: CanBuildFrom[Coll, B, That]): That

    Definition Classes
      TraversableViewLike → GenTraversableViewLike

64. #### def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this mutable indexed sequence.

    [use case]

    Applies a function `f` to all elements of this mutable indexed sequence.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[U](f: (A) ⇒ U): Unit

65. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from DroppedWhile to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

66. #### def genericBuilder[B]: Builder[B, IndexedSeq[B]]

    The generic builder that builds instances of `IndexedSeq` at arbitrary element types.

    The generic builder that builds instances of `IndexedSeq` at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

67. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

68. #### def groupBy[K](f: (A) ⇒ K): immutable.Map[K, IndexedSeqView[A, Coll]]

    Partitions this mutable indexed sequence into a map of mutable indexed sequences according to some discriminator function.

    Partitions this mutable indexed sequence into a map of mutable indexed sequences according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new mutable indexed sequence.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to mutable indexed sequences such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a mutable indexed sequence of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableViewLike → TraversableLike → GenTraversableLike

69. #### def grouped(size: Int): Iterator[IndexedSeqView[A, Coll]]

    Partitions elements in fixed size mutable indexed sequences.

    Partitions elements in fixed size mutable indexed sequences.

    size

      the number of elements per group

    returns

      An iterator producing mutable indexed sequences of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableViewLike → IterableLike
    See also

      scala.collection.Iterator, method `grouped`

70. #### def hasDefiniteSize: Boolean

    Tests whether this mutable indexed sequence is known to have a finite size.

    Tests whether this mutable indexed sequence is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

71. #### def hashCode(): Int

    Hashcodes for `IndexedSeq` produce a value from the hashcodes of all the elements of the mutable indexed sequence.

    Hashcodes for `IndexedSeq` produce a value from the hashcodes of all the elements of the mutable indexed sequence.

    returns

      the hash code value for this object.

    Definition Classes
      IndexedSeqLike → GenSeqLike → Any

72. #### def head: A

    Selects the first element of this mutable indexed sequence.

    Selects the first element of this mutable indexed sequence.

    returns

      the first element of this mutable indexed sequence.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the mutable indexed sequence is empty.

73. #### def headOption: Option[A]

    Optionally selects the first element.

    Optionally selects the first element.

    returns

      the first element of this mutable indexed sequence if it is nonempty, `None` if it is empty.

    Definition Classes
      Transformed → TraversableLike → GenTraversableLike

74. #### def ifParSeq[R](isbody: (ParSeq[A]) ⇒ R): (TraversableOps[A])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from DroppedWhile to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

75. #### def indexOf(elem: A, from: Int): Int

    [use case] Finds index of first occurrence of some value in this mutable indexed sequence after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this mutable indexed sequence after or at some start index.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this mutable indexed sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: A](elem: B, from: Int): Int

76. #### def indexOf(elem: A): Int

    [use case] Finds index of first occurrence of some value in this mutable indexed sequence.

    [use case]

    Finds index of first occurrence of some value in this mutable indexed sequence.

    elem

      the element value to search for.

    returns

      the index of the first element of this mutable indexed sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: A](elem: B): Int

77. #### def indexOfSlice[B >: A](that: GenSeq[B], from: Int): Int

    Finds first index after or at a start index where this mutable indexed sequence contains a given sequence as a slice.

    Finds first index after or at a start index where this mutable indexed sequence contains a given sequence as a slice.

    that

      the sequence to test

    from

      the start index

    returns

      the first index `>= from` such that the elements of this mutable indexed sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

78. #### def indexOfSlice[B >: A](that: GenSeq[B]): Int

    Finds first index where this mutable indexed sequence contains a given sequence as a slice.

    Finds first index where this mutable indexed sequence contains a given sequence as a slice.

    that

      the sequence to test

    returns

      the first index such that the elements of this mutable indexed sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

79. #### def indexWhere(p: (A) ⇒ Boolean, from: Int): Int

    Finds index of the first element satisfying some predicate after or at some start index.

    Finds index of the first element satisfying some predicate after or at some start index.

    p

      the predicate used to test elements.

    from

      the start index

    returns

      the index `>= from` of the first element of this mutable indexed sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      IndexedSeqOptimized → SeqLike → GenSeqLike

80. #### def indexWhere(p: (A) ⇒ Boolean): Int

    Finds index of first element satisfying some predicate.

    Finds index of first element satisfying some predicate.

    p

      the predicate used to test elements.

    returns

      the index of the first element of this mutable indexed sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

81. #### def indices: immutable.Range

    Produces the range of all indices of this sequence.

    Produces the range of all indices of this sequence.

    returns

      a `Range` value from `0` to one less than the length of this mutable indexed sequence.

    Definition Classes
      SeqLike

82. #### def init: This

    Selects all elements except the last.

    Selects all elements except the last.

    returns

      a mutable indexed sequence consisting of all elements of this mutable indexed sequence except the last one.

    Definition Classes
      IndexedSeqView → TraversableViewLike → IndexedSeqOptimized → TraversableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the mutable indexed sequence is empty.

83. #### def inits: Iterator[IndexedSeqView[A, Coll]]

    Iterates over the inits of this mutable indexed sequence.

    Iterates over the inits of this mutable indexed sequence. The first value will be this mutable indexed sequence and the final one will be an empty mutable indexed sequence, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this mutable indexed sequence

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

84. #### def intersect(that: collection.Seq[A]): IndexedSeq[A]

    [use case] Computes the multiset intersection between this mutable indexed sequence and another sequence.

    [use case]

    Computes the multiset intersection between this mutable indexed sequence and another sequence.

    that

      the sequence of elements to intersect with.

    returns

      a new mutable indexed sequence which contains all elements of this mutable indexed sequence which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Definition Classes
      SeqViewLike → SeqLike → GenSeqLike
    Full Signature

    #### def intersect[B >: A](that: GenSeq[B]): IndexedSeqView[A, Coll]

85. #### def isDefinedAt(idx: Int): Boolean

    Tests whether this mutable indexed sequence contains given index.

    Tests whether this mutable indexed sequence contains given index.

    The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

    idx

      the index to test

    returns

      `true` if this mutable indexed sequence contains an element at position `idx`, `false` otherwise.

    Definition Classes
      GenSeqLike

86. #### def isEmpty: Boolean

    Tests whether this mutable indexed sequence is empty.

    Tests whether this mutable indexed sequence is empty.

    returns

      `true` if the mutable indexed sequence contain no elements, `false` otherwise.

    Definition Classes
      IndexedSeqOptimized → SeqLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

87. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

88. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from DroppedWhile to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

89. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from DroppedWhile to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

90. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from DroppedWhile to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

91. #### final def isTraversableAgain: Boolean

    Tests whether this mutable indexed sequence can be repeatedly traversed.

    Tests whether this mutable indexed sequence can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      TraversableLike → GenTraversableLike → GenTraversableOnce

92. #### def iterator: Iterator[A]

    Creates a new iterator over all elements contained in this iterable object.

    Creates a new iterator over all elements contained in this iterable object.

    returns

      the new iterator

    Definition Classes
      IndexedSeqLike → IterableLike → GenIterableLike

93. #### def last: A

    Selects the last element.

    Selects the last element.

    returns

      The last element of this mutable indexed sequence.

    Definition Classes
      IndexedSeqOptimized → TraversableLike → GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the mutable indexed sequence is empty.

94. #### def lastIndexOf(elem: A, end: Int): Int

    [use case] Finds index of last occurrence of some value in this mutable indexed sequence before or at a given end index.

    [use case]

    Finds index of last occurrence of some value in this mutable indexed sequence before or at a given end index.

    elem

      the element value to search for.

    end

      the end index.

    returns

      the index `<= end` of the last element of this mutable indexed sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: A](elem: B, end: Int): Int

95. #### def lastIndexOf(elem: A): Int

    [use case] Finds index of last occurrence of some value in this mutable indexed sequence.

    [use case]

    Finds index of last occurrence of some value in this mutable indexed sequence.

    elem

      the element value to search for.

    returns

      the index of the last element of this mutable indexed sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: A](elem: B): Int

96. #### def lastIndexOfSlice[B >: A](that: GenSeq[B], end: Int): Int

    Finds last index before or at a given end index where this mutable indexed sequence contains a given sequence as a slice.

    Finds last index before or at a given end index where this mutable indexed sequence contains a given sequence as a slice.

    that

      the sequence to test

    end

      the end index

    returns

      the last index `<= end` such that the elements of this mutable indexed sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

97. #### def lastIndexOfSlice[B >: A](that: GenSeq[B]): Int

    Finds last index where this mutable indexed sequence contains a given sequence as a slice.

    Finds last index where this mutable indexed sequence contains a given sequence as a slice.

    that

      the sequence to test

    returns

      the last index such that the elements of this mutable indexed sequence starting a this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

98. #### def lastIndexWhere(p: (A) ⇒ Boolean, end: Int): Int

    Finds index of last element satisfying some predicate before or at given end index.

    Finds index of last element satisfying some predicate before or at given end index.

    p

      the predicate used to test elements.

    returns

      the index `<= end` of the last element of this mutable indexed sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      IndexedSeqOptimized → SeqLike → GenSeqLike

99. #### def lastIndexWhere(p: (A) ⇒ Boolean): Int

    Finds index of last element satisfying some predicate.

    Finds index of last element satisfying some predicate.

    p

      the predicate used to test elements.

    returns

      the index of the last element of this mutable indexed sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

100. #### def lastOption: Option[A]

     Optionally selects the last element.

     Optionally selects the last element.

     returns

       the last element of this mutable indexed sequence$ if it is nonempty, `None` if it is empty.

     Definition Classes
       Transformed → TraversableLike → GenTraversableLike

101. #### def length: Int

     The length of the mutable indexed sequence.

     The length of the mutable indexed sequence.

     Note: `xs.length` and `xs.size` yield the same result.

     returns

       the number of elements in this mutable indexed sequence.

     Definition Classes
       DroppedWhile → Transformed → GenSeqLike

102. #### def lengthCompare(len: Int): Int

     Compares the length of this mutable indexed sequence to a test value.

     Compares the length of this mutable indexed sequence to a test value.

     len

       the test value that gets compared with the length.

     returns

       A value `x` where

           x <  0       if this.length <  len
           x == 0       if this.length == len
           x >  0       if this.length >  len

       The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overwritten if computing `length` is cheap.

     Definition Classes
       IndexedSeqOptimized → SeqLike

103. #### def lift: (Int) ⇒ Option[A]

     Turns this partial function into an plain function returning an `Option` result.

     Turns this partial function into an plain function returning an `Option` result.

     returns

       a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

     Definition Classes
       PartialFunction
     See also

       Function.unlift

104. #### def map[B](f: (A) ⇒ B): IndexedSeq[B]

     [use case] Builds a new collection by applying a function to all elements of this mutable indexed sequence.

     [use case]

     Builds a new collection by applying a function to all elements of this mutable indexed sequence.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new mutable indexed sequence resulting from applying the given function `f` to each element of this mutable indexed sequence and collecting the results.

     Definition Classes
       TraversableViewLike → TraversableLike → GenTraversableLike → FilterMonadic
     Full Signature

     #### def map[B, That](f: (A) ⇒ B)(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

105. #### def max: A

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this mutable indexed sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def max[B >: A](implicit cmp: Ordering[B]): A

106. #### def maxBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

     Definition Classes
       TraversableOnce → GenTraversableOnce

107. #### def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this mutable indexed sequence

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def min[B >: A](implicit cmp: Ordering[B]): A

108. #### def minBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

     Definition Classes
       TraversableOnce → GenTraversableOnce

109. #### def mkString(start: String, sep: String, end: String): String

     Definition Classes
       ViewMkString

110. #### def mkString(sep: String): String

     Definition Classes
       ViewMkString

111. #### def mkString: String

     Definition Classes
       ViewMkString

112. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

113. #### def newAppended[B >: A](that: GenTraversable[B]): DroppedWhile.Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

114. #### def newBuilder: Builder[A, IndexedSeqView[A, Coll]]

     The builder that builds instances of type `IndexedSeq`[A]

     The builder that builds instances of type `IndexedSeq`[A]

     Attributes
       protected[this]
     Definition Classes
       TraversableViewLike → GenericTraversableTemplate → TraversableLike → HasNewBuilder

115. #### def newDropped(n: Int): DroppedWhile.Transformed[A]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

116. #### def newDroppedWhile(p: (A) ⇒ Boolean): Transformed[A]

     Attributes
       protected
     Definition Classes
       IndexedSeqView → SeqViewLike → IterableViewLike → TraversableViewLike

117. #### def newFiltered(p: (A) ⇒ Boolean): Transformed[A]

     Boilerplate method, to override in each subclass This method could be eliminated if Scala had virtual classes

     Boilerplate method, to override in each subclass This method could be eliminated if Scala had virtual classes

     Attributes
       protected
     Definition Classes
       IndexedSeqView → SeqViewLike → IterableViewLike → TraversableViewLike

118. #### def newFlatMapped[B](f: (A) ⇒ GenTraversableOnce[B]): DroppedWhile.Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

119. #### def newForced[B](xs: ⇒ GenSeq[B]): DroppedWhile.Transformed[B]

     Boilerplate method, to override in each subclass This method could be eliminated if Scala had virtual classes

     Boilerplate method, to override in each subclass This method could be eliminated if Scala had virtual classes

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

120. #### def newMapped[B](f: (A) ⇒ B): DroppedWhile.Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

121. #### def newPatched[B >: A](_from: Int, _patch: GenSeq[B], _replaced: Int): DroppedWhile.Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike

122. #### def newPrepended[B >: A](elem: B): DroppedWhile.Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike

123. #### def newReversed: Transformed[A]

     Attributes
       protected
     Definition Classes
       IndexedSeqView → SeqViewLike

124. #### def newSliced(_endpoints: SliceInterval): Transformed[A]

     Attributes
       protected
     Definition Classes
       IndexedSeqView → SeqViewLike → IterableViewLike → TraversableViewLike

125. #### def newTaken(n: Int): DroppedWhile.Transformed[A]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

126. #### def newTakenWhile(p: (A) ⇒ Boolean): Transformed[A]

     Attributes
       protected
     Definition Classes
       IndexedSeqView → SeqViewLike → IterableViewLike → TraversableViewLike

127. #### def newZipped[B](that: GenIterable[B]): DroppedWhile.Transformed[(A, B)]

     Boilerplate method, to override in each subclass This method could be eliminated if Scala had virtual classes

     Boilerplate method, to override in each subclass This method could be eliminated if Scala had virtual classes

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike

128. #### def newZippedAll[A1 >: A, B](that: GenIterable[B], _thisElem: A1, _thatElem: B): DroppedWhile.Transformed[(A1, B)]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike

129. #### def nonEmpty: Boolean

     Tests whether the mutable indexed sequence is not empty.

     Tests whether the mutable indexed sequence is not empty.

     returns

       `true` if the mutable indexed sequence contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

130. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

131. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

132. #### def orElse[A1 <: Int, B1 >: A](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

133. #### def padTo(len: Int, elem: A): IndexedSeq[A]

     [use case] A copy of this mutable indexed sequence with an element value appended until a given target length is reached.

     [use case]

     A copy of this mutable indexed sequence with an element value appended until a given target length is reached.

     len

       the target length

     elem

       the padding value

     returns

       a new mutable indexed sequence consisting of all elements of this mutable indexed sequence followed by the minimal number of occurrences of `elem` so that the resulting mutable indexed sequence has a length of at least `len`.

     Definition Classes
       SeqViewLike → SeqLike → GenSeqLike
     Full Signature

     #### def padTo[B >: A, That](len: Int, elem: B)(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

134. #### def par: ParSeq[A]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

135. #### def parCombiner: Combiner[A, ParSeq[A]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       SeqLike → SeqLike → TraversableLike → Parallelizable

136. #### def partition(p: (A) ⇒ Boolean): (IndexedSeqView[A, Coll], IndexedSeqView[A, Coll])

     Partitions this mutable indexed sequence in two mutable indexed sequences according to a predicate.

     Partitions this mutable indexed sequence in two mutable indexed sequences according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of mutable indexed sequences: the first mutable indexed sequence consists of all elements that satisfy the predicate `p` and the second mutable indexed sequence consists of all elements that don't. The relative order of the elements in the resulting mutable indexed sequences is the same as in the original mutable indexed sequence.

     Definition Classes
       TraversableViewLike → TraversableLike → GenTraversableLike

137. #### def patch(from: Int, that: GenSeq[A], replaced: Int): IndexedSeq[A]

     [use case] Produces a new mutable indexed sequence where a slice of elements in this mutable indexed sequence is replaced by another sequence.

     [use case]

     Produces a new mutable indexed sequence where a slice of elements in this mutable indexed sequence is replaced by another sequence.

     from

       the index of the first replaced element

     replaced

       the number of elements to drop in the original mutable indexed sequence

     returns

       a new mutable indexed sequence consisting of all elements of this mutable indexed sequence except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       SeqViewLike → SeqLike → GenSeqLike
     Full Signature

     #### def patch[B >: A, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

138. #### def permutations: Iterator[IndexedSeqView[A, Coll]]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     returns

       An Iterator which traverses the distinct permutations of this mutable indexed sequence.

     Definition Classes
       SeqLike
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

139. #### def prefixLength(p: (A) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this mutable indexed sequence such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       GenSeqLike

140. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this mutable indexed sequence of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the mutable indexed sequence and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: A](implicit num: Numeric[B]): B

141. #### def reduce[A1 >: A](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this mutable indexed sequence using the specified associative binary operator.

     Reduces the elements of this mutable indexed sequence using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the mutable indexed sequence is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this mutable indexed sequence is empty.

142. #### def reduceLeft[B >: A](op: (B, A) ⇒ B): B

     Applies a binary operator to all elements of this mutable indexed sequence, going left to right.

     Applies a binary operator to all elements of this mutable indexed sequence, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this mutable indexed sequence, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this mutable indexed sequence.

     Definition Classes
       IndexedSeqOptimized → TraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this mutable indexed sequence is empty.

143. #### def reduceLeftOption[B >: A](op: (B, A) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this mutable indexed sequence, going left to right.

     Optionally applies a binary operator to all elements of this mutable indexed sequence, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this mutable indexed sequence is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

144. #### def reduceOption[A1 >: A](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this mutable indexed sequence, if any, using the specified associative binary operator.

     Reduces the elements of this mutable indexed sequence, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

145. #### def reduceRight[B >: A](op: (A, B) ⇒ B): B

     Applies a binary operator to all elements of this mutable indexed sequence, going right to left.

     Applies a binary operator to all elements of this mutable indexed sequence, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this mutable indexed sequence, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this mutable indexed sequence.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this mutable indexed sequence is empty.

146. #### def reduceRightOption[B >: A](op: (A, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this mutable indexed sequence, going right to left.

     Optionally applies a binary operator to all elements of this mutable indexed sequence, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this mutable indexed sequence is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

147. #### def repr: IndexedSeqView[A, Coll]

     The collection of type mutable indexed sequence underlying this `TraversableLike` object.

     The collection of type mutable indexed sequence underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

148. #### def reverse: This

     Returns new mutable indexed sequence wih elements in reversed order.

     Returns new mutable indexed sequence wih elements in reversed order.

     returns

       A new mutable indexed sequence with all elements of this mutable indexed sequence in reversed order.

     Definition Classes
       IndexedSeqView → SeqViewLike → IndexedSeqOptimized → SeqLike → GenSeqLike

149. #### def reverseIterator: Iterator[A]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this mutable indexed sequence in reversed order

     Definition Classes
       IndexedSeqOptimized → SeqLike

150. #### def reverseMap[B](f: (A) ⇒ B): IndexedSeq[B]

     [use case] Builds a new collection by applying a function to all elements of this mutable indexed sequence and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this mutable indexed sequence and collecting the results in reversed order.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new mutable indexed sequence resulting from applying the given function `f` to each element of this mutable indexed sequence and collecting the results in reversed order.

     Definition Classes
       SeqViewLike → SeqLike → GenSeqLike
     Full Signature

     #### def reverseMap[B, That](f: (A) ⇒ B)(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

151. #### def reversed: List[A]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

152. #### def runWith[U](action: (A) ⇒ U): (Int) ⇒ Boolean

     Composes this partial function with an action function which gets applied to results of this partial function.

     Composes this partial function with an action function which gets applied to results of this partial function. The action function is invoked only for its side effects; its result is ignored.

     Note that expression `pf.runWith(action)(x)` is equivalent to

         if(pf isDefinedAt x) { action(pf(x)); true } else false

     except that `runWith` is implemented via `applyOrElse` and thus potentially more efficient. Using `runWith` avoids double evaluation of pattern matchers and guards for partial function literals.

     action

       the action function

     returns

       a function which maps arguments `x` to `isDefinedAt(x)`. The resulting function runs `action(this(x))` where `this` is defined.

     Definition Classes
       PartialFunction
     Since

       2.10

     See also

       `applyOrElse`.

153. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this mutable indexed sequence.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this mutable indexed sequence.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: A](that: GenIterable[B]): Boolean

154. #### def scan[B >: A, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new mutable indexed sequence containing the prefix scan of the elements in this mutable indexed sequence

     Definition Classes
       TraversableLike → GenTraversableLike

155. #### def scanLeft[B, That](z: B)(op: (B, A) ⇒ B)(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableViewLike → TraversableLike → GenTraversableLike

156. #### def scanRight[B, That](z: B)(op: (A, B) ⇒ B)(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableViewLike → TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

157. #### def segmentLength(p: (A) ⇒ Boolean, from: Int): Int

     Computes length of longest segment whose elements all satisfy some predicate.

     Computes length of longest segment whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this mutable indexed sequence starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

158. #### def seq: IndexedSeq[A]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       IndexedSeq → IndexedSeq → IndexedSeqLike → Seq → Seq → GenSeq → GenSeqLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

159. #### def size: Int

     The size of this mutable indexed sequence, equivalent to `length`.

     The size of this mutable indexed sequence, equivalent to `length`.

     returns

       the number of elements in this mutable indexed sequence.

     Definition Classes
       SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

160. #### def slice(from: Int, until: Int): This

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     returns

       a mutable indexed sequence containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this mutable indexed sequence.

     Definition Classes
       IndexedSeqView → TraversableViewLike → IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

161. #### def sliding(size: Int, step: Int): Iterator[IndexedSeqView[A, Coll]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing mutable indexed sequences of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableViewLike → IterableLike
     See also

       scala.collection.Iterator, method `sliding`

162. #### def sliding(size: Int): Iterator[IndexedSeqView[A, Coll]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing mutable indexed sequences of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

163. #### def sortBy[B](f: (A) ⇒ B)(implicit ord: math.Ordering[B]): IndexedSeqView[A, Coll]

     Sorts this `IndexedSeq` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this `IndexedSeq` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a mutable indexed sequence consisting of the elements of this mutable indexed sequence sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Definition Classes
       SeqLike
     Example:

     1.     val words = "The quick brown fox jumped over the lazy dog".split(' ')
            // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
            words.sortBy(x => (x.length, x.head))
            res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

164. #### def sortWith(lt: (A, A) ⇒ Boolean): IndexedSeqView[A, Coll]

     Sorts this mutable indexed sequence according to a comparison function.

     Sorts this mutable indexed sequence according to a comparison function.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a mutable indexed sequence consisting of the elements of this mutable indexed sequence sorted according to the comparison function `lt`.

     Definition Classes
       SeqLike
     Example:

     1.     List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
            List("Bob", "John", "Steve", "Tom")

165. #### def sorted[B >: A](implicit ord: Ordering[B]): IndexedSeqView[A, Coll]

     Sorts this mutable indexed sequence according to an Ordering.

     Sorts this mutable indexed sequence according to an Ordering.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a mutable indexed sequence consisting of the elements of this mutable indexed sequence sorted according to the ordering `ord`.

     Definition Classes
       SeqViewLike → SeqLike
     See also

       scala.math.Ordering

166. #### def span(p: (A) ⇒ Boolean): (This, This)

     Splits this mutable indexed sequence into a prefix/suffix pair according to a predicate.

     Splits this mutable indexed sequence into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     returns

       a pair consisting of the longest prefix of this mutable indexed sequence whose elements all satisfy `p`, and the rest of this mutable indexed sequence.

     Definition Classes
       IndexedSeqView → TraversableViewLike → IndexedSeqOptimized → TraversableLike → GenTraversableLike

167. #### def splitAt(n: Int): (This, This)

     Splits this mutable indexed sequence into two at a given position.

     Splits this mutable indexed sequence into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of mutable indexed sequences consisting of the first `n` elements of this mutable indexed sequence, and the other elements.

     Definition Classes
       IndexedSeqView → TraversableViewLike → IndexedSeqOptimized → TraversableLike → GenTraversableLike

168. #### lazy val start: Int

     Attributes
       protected[this]
     Definition Classes
       DroppedWhile

169. #### def startsWith[B](that: GenSeq[B], offset: Int): Boolean

     Tests whether this mutable indexed sequence contains the given sequence at a given index.

     Tests whether this mutable indexed sequence contains the given sequence at a given index.

     Note: If the both the receiver object `this` and the argument `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this mutable indexed sequence at index `offset`, otherwise `false`.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

170. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this mutable indexed sequence starts with the given sequence.

     Tests whether this mutable indexed sequence starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Definition Classes
       GenSeqLike

171. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this mutable indexed sequence. By default the string prefix is the simple name of the collection class mutable indexed sequence.

     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike → TraversableLike → GenTraversableLike

172. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this mutable indexed sequence of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the mutable indexed sequence and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: A](implicit num: Numeric[B]): B

173. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

174. #### def tail: IndexedSeqView[A, Coll]

     Selects all elements except the first.

     Selects all elements except the first.

     returns

       a mutable indexed sequence consisting of all elements of this mutable indexed sequence except the first one.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the mutable indexed sequence is empty.

175. #### def tails: Iterator[IndexedSeqView[A, Coll]]

     Iterates over the tails of this mutable indexed sequence.

     Iterates over the tails of this mutable indexed sequence. The first value will be this mutable indexed sequence and the final one will be an empty mutable indexed sequence, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this mutable indexed sequence

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

176. #### def take(n: Int): This

     Selects first n elements.

     Selects first n elements.

     n

       the number of elements to take from this mutable indexed sequence.

     returns

       a mutable indexed sequence consisting only of the first `n` elements of this mutable indexed sequence, or else the whole mutable indexed sequence, if it has less than `n` elements.

     Definition Classes
       IndexedSeqView → IterableViewLike → TraversableViewLike → IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

177. #### def takeRight(n: Int): IndexedSeqView[A, Coll]

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a mutable indexed sequence consisting only of the last `n` elements of this mutable indexed sequence, or else the whole mutable indexed sequence, if it has less than `n` elements.

     Definition Classes
       IndexedSeqOptimized → IterableLike

178. #### def takeWhile(p: (A) ⇒ Boolean): This

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     returns

       the longest prefix of this mutable indexed sequence whose elements all satisfy the predicate `p`.

     Definition Classes
       IndexedSeqView → TraversableViewLike → IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

179. #### def thisCollection: IndexedSeq[A]

     The underlying collection seen as an instance of ``IndexedSeq``.

     The underlying collection seen as an instance of ``IndexedSeq``. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IndexedSeqLike → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

180. #### def thisSeq: collection.Seq[A]

     Attributes
       protected[this]
     Definition Classes
       ViewMkString

181. #### def to[Col[_]]: Col[A]

     [use case] Converts this mutable indexed sequence into another by copying all elements.

     [use case]

     Converts this mutable indexed sequence into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this mutable indexed sequence.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, A, Col[A]]): Col[A]

182. #### def toArray: Array[A]

     [use case] Converts this mutable indexed sequence to an array.

     [use case]

     Converts this mutable indexed sequence to an array.

     returns

       an array containing all elements of this mutable indexed sequence. An `ClassTag` must be available for the element type of this mutable indexed sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: A](implicit arg0: ClassTag[B]): Array[B]

183. #### def toBuffer[A1 >: A]: Buffer[A1]

     Converts this mutable indexed sequence to a mutable buffer.

     Converts this mutable indexed sequence to a mutable buffer.

     returns

       a buffer containing all elements of this mutable indexed sequence.

     Definition Classes
       IndexedSeqLike → TraversableOnce → GenTraversableOnce

184. #### def toCollection(repr: IndexedSeqView[A, Coll]): IndexedSeq[A]

     A conversion from collections of type `Repr` to ``IndexedSeq`` objects.

     A conversion from collections of type `Repr` to ``IndexedSeq`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IndexedSeqLike → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

185. #### def toIndexedSeq: immutable.IndexedSeq[A]

     Converts this mutable indexed sequence to an indexed sequence.

     Converts this mutable indexed sequence to an indexed sequence.

     returns

       an indexed sequence containing all elements of this mutable indexed sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

186. #### def toIterable: collection.Iterable[A]

     Converts this mutable indexed sequence to an iterable collection.

     Converts this mutable indexed sequence to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this mutable indexed sequence.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

187. #### def toIterator: Iterator[A]

     Returns an Iterator over the elements in this mutable indexed sequence.

     Returns an Iterator over the elements in this mutable indexed sequence. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this mutable indexed sequence.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

188. #### def toList: List[A]

     Converts this mutable indexed sequence to a list.

     Converts this mutable indexed sequence to a list.

     returns

       a list containing all elements of this mutable indexed sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

189. #### def toMap[T, U]: collection.Map[T, U]

     [use case] Converts this mutable indexed sequence to a map.

     [use case]

     Converts this mutable indexed sequence to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this mutable indexed sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[A, (T, U)]): immutable.Map[T, U]

190. #### def toParArray: ParArray[A]

     Implicit information
       This member is added by an implicit conversion from DroppedWhile to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

191. #### def toSeq: collection.Seq[A]

     Converts this mutable indexed sequence to a sequence.

     Converts this mutable indexed sequence to a sequence.

     Overridden for efficiency.

     returns

       a sequence containing all elements of this mutable indexed sequence.

     Definition Classes
       SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

192. #### def toSet[B >: A]: immutable.Set[B]

     Converts this mutable indexed sequence to a set.

     Converts this mutable indexed sequence to a set.

     returns

       a set containing all elements of this mutable indexed sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

193. #### def toStream: immutable.Stream[A]

     Converts this mutable indexed sequence to a stream.

     Converts this mutable indexed sequence to a stream.

     returns

       a stream containing all elements of this mutable indexed sequence.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

194. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Transformed → Transformed → Transformed → Transformed → Transformed → Transformed → Transformed → TraversableViewLike → SeqLike → Function1 → TraversableLike → AnyRef → Any

195. #### def toTraversable: collection.Traversable[A]

     Converts this mutable indexed sequence to an unspecified Traversable.

     Converts this mutable indexed sequence to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this mutable indexed sequence.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

196. #### def toVector: Vector[A]

     Converts this mutable indexed sequence to a Vector.

     Converts this mutable indexed sequence to a Vector.

     returns

       a vector containing all elements of this mutable indexed sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

197. #### def transform(f: (A) ⇒ A): DroppedWhile.this.type

     Applies a transformation function to all values contained in this sequence.

     Applies a transformation function to all values contained in this sequence. The transformation function produces new values from existing elements.

     f

       the transformation to apply

     returns

       the sequence itself.

     Definition Classes
       SeqLike

198. #### def transpose[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): IndexedSeq[IndexedSeq[B]]

     Transposes this mutable indexed sequence of traversable collections into a mutable indexed sequence of mutable indexed sequences.

     Transposes this mutable indexed sequence of traversable collections into a mutable indexed sequence of mutable indexed sequences.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this mutable indexed sequence is a `Traversable`.

     returns

       a two-dimensional mutable indexed sequence of mutable indexed sequences which has as nth row the nth column of this mutable indexed sequence.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this mutable indexed sequence are not of the same size.

199. #### lazy val underlying: Coll

     Definition Classes
       Transformed → GenTraversableViewLike

200. #### def union(that: collection.Seq[A]): IndexedSeq[A]

     [use case] Produces a new sequence which contains all elements of this mutable indexed sequence and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this mutable indexed sequence and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     that

       the sequence to add.

     returns

       a new mutable indexed sequence which contains all elements of this mutable indexed sequence followed by all elements of `that`.

     Definition Classes
       SeqViewLike → SeqLike → GenSeqLike
     Full Signature

     #### def union[B >: A, That](that: GenSeq[B])(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

201. #### def unzip[A1, A2](implicit asPair: (A) ⇒ (A1, A2)): (DroppedWhile.Transformed[A1], DroppedWhile.Transformed[A2])

     Converts this mutable indexed sequence of pairs into two collections of the first and second half of each pair.

     Converts this mutable indexed sequence of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this mutable indexed sequence is a pair.

     returns

       a pair mutable indexed sequences, containing the first, respectively second half of each element pair of this mutable indexed sequence.

     Definition Classes
       TraversableViewLike → GenericTraversableTemplate

202. #### def unzip3[A1, A2, A3](implicit asTriple: (A) ⇒ (A1, A2, A3)): (DroppedWhile.Transformed[A1], DroppedWhile.Transformed[A2], DroppedWhile.Transformed[A3])

     Converts this mutable indexed sequence of triples into three collections of the first, second, and third element of each triple.

     Converts this mutable indexed sequence of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this mutable indexed sequence is a triple.

     returns

       a triple mutable indexed sequences, containing the first, second, respectively third member of each element triple of this mutable indexed sequence.

     Definition Classes
       TraversableViewLike → GenericTraversableTemplate

203. #### def update(idx: Int, elem: A): Unit

     Replaces element at given index with a new value.

     Replaces element at given index with a new value.

     idx

       the index of the element to replace.

     elem

       the new value.

     Definition Classes
       DroppedWhile → Transformed → IndexedSeqView → IndexedSeqLike → SeqLike
     Exceptions thrown
       IndexOutOfBoundsException

       if the index is not valid.

204. #### def updated(index: Int, elem: A): IndexedSeq[A]

     [use case] A copy of this mutable indexed sequence with one single replaced element.

     [use case]

     A copy of this mutable indexed sequence with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a copy of this mutable indexed sequence with the element at position `index` replaced by `elem`.

     Definition Classes
       SeqViewLike → SeqLike → GenSeqLike
     Full Signature

     #### def updated[B >: A, That](index: Int, elem: B)(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], B, That]): That

205. #### def view(from: Int, until: Int): IndexedSeqView[A, IndexedSeqView[A, Coll]]

     A sub-sequence view starting at index `from` and extending up to (but not including) index `until`.

     A sub-sequence view starting at index `from` and extending up to (but not including) index `until`.

     from

       The index of the first element of the slice

     until

       The index of the element following the slice

     returns

       a non-strict view of a slice of this mutable indexed sequence, starting at index `from` and extending up to (but not including) index `until`.@note The difference between `view` and `slice` is that `view` produces a view of the current sequence, whereas `slice` produces a new sequence.

     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike
     Note

       view(from, to) is equivalent to view.slice(from, to)

206. #### def view: IndexedSeqView[A, IndexedSeqView[A, Coll]]

     Creates a view of this iterable @see Iterable.

     Creates a view of this iterable @see Iterable.View

     returns

       a non-strict view of this mutable indexed sequence.

     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike

207. #### final def viewIdString: String

     Attributes
       protected[this]
     Definition Classes
       Transformed → GenTraversableViewLike

208. #### final def viewIdentifier: String

     Attributes
       protected[this]
     Definition Classes
       DroppedWhile → GenTraversableViewLike

209. #### def viewToString: String

     Definition Classes
       GenTraversableViewLike

210. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

211. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

212. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

213. #### def withFilter(p: (A) ⇒ Boolean): IndexedSeqView[A, Coll]

     Creates a non-strict filter of this mutable indexed sequence.

     Creates a non-strict filter of this mutable indexed sequence.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this mutable indexed sequence which satisfy the predicate `p`.

     Definition Classes
       TraversableViewLike → TraversableLike → FilterMonadic

214. #### def zip[B](that: GenIterable[B]): IndexedSeq[(A, B)]

     [use case] Returns a mutable indexed sequence formed from this mutable indexed sequence and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a mutable indexed sequence formed from this mutable indexed sequence and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new mutable indexed sequence containing pairs consisting of corresponding elements of this mutable indexed sequence and `that`. The length of the returned collection is the minimum of the lengths of this mutable indexed sequence and `that`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: A, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], (A1, B), That]): That

215. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): IndexedSeq[(A, B)]

     [use case] Returns a mutable indexed sequence formed from this mutable indexed sequence and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a mutable indexed sequence formed from this mutable indexed sequence and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this mutable indexed sequence is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this mutable indexed sequence.

     returns

       a new mutable indexed sequence containing pairs consisting of corresponding elements of this mutable indexed sequence and `that`. The length of the returned collection is the maximum of the lengths of this mutable indexed sequence and `that`. If this mutable indexed sequence is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this mutable indexed sequence, `thatElem` values are used to pad the result.

     Definition Classes
       IterableViewLike → IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: A, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], (A1, B), That]): That

216. #### def zipWithIndex: IndexedSeq[(A, Int)]

     [use case] Zips this mutable indexed sequence with its indices.

     [use case]

     Zips this mutable indexed sequence with its indices.

     returns

       A new mutable indexed sequence containing pairs consisting of all elements of this mutable indexed sequence paired with their index. Indices start at `0`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: A, That](implicit bf: CanBuildFrom[IndexedSeqView[A, Coll], (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

217. #### def →[B](y: B): (DroppedWhile, B)

     Implicit information
       This member is added by an implicit conversion from DroppedWhile to ArrowAssoc[DroppedWhile] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implict Value Members

1. #### def filter(p: (A) ⇒ Boolean): TraversableOnce[A]

   Implicit information
     This member is added by an implicit conversion from DroppedWhile to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (droppedWhile: MonadOps[A]).filter(p)

   Definition Classes
     MonadOps

2. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from DroppedWhile to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (droppedWhile: MonadOps[A]).flatMap(f)

   Definition Classes
     MonadOps

3. #### def map[B](f: (A) ⇒ B): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from DroppedWhile to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (droppedWhile: MonadOps[A]).map(f)

   Definition Classes
     MonadOps

4. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from DroppedWhile to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (droppedWhile: StringAdd).self

   Definition Classes
     StringAdd

5. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from DroppedWhile to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (droppedWhile: StringFormat).self

   Definition Classes
     StringFormat

6. #### def withFilter(p: (A) ⇒ Boolean): Iterator[A]

   Implicit information
     This member is added by an implicit conversion from DroppedWhile to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (droppedWhile: MonadOps[A]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def /:\[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: DroppedWhile

   Implicit information
     This member is added by an implicit conversion from DroppedWhile to ArrowAssoc[DroppedWhile] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (droppedWhile: ArrowAssoc[DroppedWhile]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: DroppedWhile

   Implicit information
     This member is added by an implicit conversion from DroppedWhile to Ensuring[DroppedWhile] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (droppedWhile: Ensuring[DroppedWhile]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Transformed[A]

### Inherited from IndexedSeqView[A, Coll]

### Inherited from IndexedSeqOptimized[A, IndexedSeqView[A, Coll]]

### Inherited from collection.IndexedSeqOptimized[A, IndexedSeqView[A, Coll]]

### Inherited from IndexedSeq[A]

### Inherited from IndexedSeqLike[A, IndexedSeqView[A, Coll]]

### Inherited from collection.IndexedSeq[A]

### Inherited from collection.IndexedSeqLike[A, IndexedSeqView[A, Coll]]

### Inherited from Seq[A]

### Inherited from SeqLike[A, Seq[A]]

### Inherited from Cloneable[Seq[A]]

### Inherited from scala.Cloneable

### Inherited from java.lang.Cloneable

### Inherited from Iterable[A]

### Inherited from Traversable[A]

### Inherited from Mutable

### Inherited from IndexedSeqView.DroppedWhile

### Inherited from IndexedSeqView.Transformed[A]

### Inherited from SeqView[A, Coll]

### Inherited from SeqViewLike[A, Coll, IndexedSeqView[A, Coll]]

### Inherited from collection.Seq[A]

### Inherited from collection.SeqLike[A, IndexedSeqView[A, Coll]]

### Inherited from PartialFunction[Int, A]

### Inherited from (Int) ⇒ A

### Inherited from IndexedSeqView.DroppedWhile

### Inherited from IndexedSeqView.Transformed[A]

### Inherited from GenSeqView[A, Coll]

### Inherited from GenSeqViewLike[A, Coll, IndexedSeqView[A, Coll]]

### Inherited from GenSeq[A]

### Inherited from GenSeqLike[A, IndexedSeqView[A, Coll]]

### Inherited from IndexedSeqView.DroppedWhile

### Inherited from IndexedSeqView.Transformed[A]

### Inherited from IterableView[A, Coll]

### Inherited from IterableViewLike[A, Coll, IndexedSeqView[A, Coll]]

### Inherited from collection.Iterable[A]

### Inherited from IterableLike[A, IndexedSeqView[A, Coll]]

### Inherited from Equals

### Inherited from IndexedSeqView.DroppedWhile

### Inherited from IndexedSeqView.Transformed[A]

### Inherited from GenIterableView[A, Coll]

### Inherited from GenIterableViewLike[A, Coll, IndexedSeqView[A, Coll]]

### Inherited from GenIterable[A]

### Inherited from GenIterableLike[A, IndexedSeqView[A, Coll]]

### Inherited from IndexedSeqView.DroppedWhile

### Inherited from IndexedSeqView.Transformed[A]

### Inherited from TraversableView[A, Coll]

### Inherited from GenTraversableView[A, Coll]

### Inherited from TraversableViewLike[A, Coll, IndexedSeqView[A, Coll]]

### Inherited from GenTraversableViewLike[A, Coll, IndexedSeqView[A, Coll]]

### Inherited from ViewMkString[A]

### Inherited from collection.Traversable[A]

### Inherited from GenTraversable[A]

### Inherited from GenericTraversableTemplate[A, IndexedSeq]

### Inherited from TraversableLike[A, IndexedSeqView[A, Coll]]

### Inherited from GenTraversableLike[A, IndexedSeqView[A, Coll]]

### Inherited from Parallelizable[A, ParSeq[A]]

### Inherited from TraversableOnce[A]

### Inherited from GenTraversableOnce[A]

### Inherited from FilterMonadic[A, IndexedSeqView[A, Coll]]

### Inherited from HasNewBuilder[A, IndexedSeqView[A, Coll]]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from DroppedWhile to TraversableOps[A]

### Inherited by implicit conversion MonadOps from DroppedWhile to MonadOps[A]

### Inherited by implicit conversion any2stringadd from DroppedWhile to StringAdd

### Inherited by implicit conversion any2stringfmt from DroppedWhile to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from DroppedWhile to ArrowAssoc[DroppedWhile]

### Inherited by implicit conversion any2Ensuring from DroppedWhile to Ensuring[DroppedWhile]

### Inherited by implicit conversion alternateImplicit from DroppedWhile to ForceImplicitAmbiguity

### Ungrouped